LFR-FSW - Bug #406

R3 *** TM_LFR_SCIENCE_NORMAL_BP1_FO0 :et TM_LFR_SCIENCE_NORMAL_BP1_F2: octet 18 not
equal to 0x0

06/05/2015 08:36 AM - Veronique bouzid

Status: Closed Start date: 06/05/2015
Priority: Normal Due date:

Assignee: Veronique bouzid % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: r0

Description

TESTS pour valider les interfaces de R3 - (documenet ICD 3.0 rev 7)

Le soft VHDL est identique a la R2+
Le soft de Paul est installé dans le répertoire /opt/LFR/LFR-FSW/3.0.0.0/fsw

Les scripts de validation sont installés dans /opt/VALIDATION_R3 et donc les outils en python
sont adaptés en conséquence.

J'ai egalement développé des petits tests unitaires pour facilité la vérification des interfaces ( /home/validation/SCRIPT/R3/).
Le script utilisé se trouve dans /home/validation/SCRIPT/R3/just_normal_mode.py

15:18:33.60106, * 32, TM_LFR_SCIENCE_NORMAL_BP1_F0, CCSDS_VERSION_NUMBER = 0, PACKET TYPE: TM_PACKET =
0, DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET _CATEGORY:
PRIVATE_SCIENCE_OR_TELECOMMAND = 12, (PACKET _ID=0xccc), SEGMENTATION_GROUPING FLAG:
STANDALONE_PACKET = 3, SEQUENCE_CNT=0, (PACKET_SEQUENCE_CONTROL=0xc000), PACKET LENGTH=143,
SPARE_1=0, PUS_VERSION = 1, SPARE_2-0, SERVICE_TYPE: SCIENCE_DATA TRANSFER = 21, SERVICE_SUBTYPE:
SCIENCE_REPORT FIXED LENGTH = 3, DESTINATION_ID: GROUND = 0, TIME=0x8000000684b1, PA_LFR_SID_PKT:
SC_N_BP1_FO0 = 14, PA_BIA_MODE_MUX_SET: SET 0 = 0, PA_BIA_MODE_HV_ENABLED: DISABLED = 0,
PA_BIA_MODE_BIAS1_ENABLED: DISABLED = 0, PA_BIA_MODE_BIAS2_ENABLED: DISABLED = 0,
PA_BIA_MODE_BIAS3_ENABLED: DISABLED = 0, PA_BIA_ON_OFF: OFF = 0, *SPARE=0x2fc, SY_LFR_BW-=1,

SY_LFR _SP0=0, SY_LFR_SP1=0, SY_LFR_R0=0, SY_LFR R1=0, SY_LFR_R2-0,
PA_LFR_ACQUISITION_TIME=0x8000000684b1, SPARE=0x0, PA_LFR_N_BP1_BLK_NR_F0=11

Le champ SPARE est constitué des 10 bits extraits des octets 18 et 19

- octet 18 --> 8bits, la valeur est 0xbf

- octet 19 --> b0 et b1 de l'octet bien initialisé a 0x0

On voit que I'octet 18 n est pas a zéro d'ou le résultat qui donne 0x2bc= (0xbf << 2)

Idem pour TM_LFR_SCIENCE_NORMAL_BP1_F2
15:18:33.622789, * 32, TM_LFR_SCIENCE_NORMAL_BP1_F2, CCSDS_VERSION_NUMBER = 0, PACKET TYPE: TM_PACKET
- 0, DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET CATEGORY:
PRIVATE_SCIENCE_OR_TELECOMMAND = 12, (PACKET _ID=0xccc), SEGMENTATION_GROUPING_FLAG:
STANDALONE_PACKET = 3, SEQUENCE_CNT=2, (PACKET_SEQUENCE_CONTROL=0xc002), PACKET LENGTH=153,
SPARE_1=0, PUS_VERSION = 1, SPARE_2-0, SERVICE_TYPE: SCIENCE_DATA_TRANSFER = 21, SERVICE_SUBTYPE:
SCIENCE_REPORT _FIXED LENGTH = 3, DESTINATION_ID: GROUND = 0, TIME=0x8000000685a6, PA_LFR_SID_PKT:
SC_N_BP1_F2 =16, PA_BIA_MODE_MUX_SET: SET 0 =0, PA_BIA_MODE_HV_ENABLED: DISABLED = 0,

PA_BIA_ MODE_BIAS1_ENABLED: DISABLED = 0, PA_BIA_MODE_BIAS2_ENABLED: DISABLED = 0,

PA BIA_MODE_BIAS3 ENABLED: DISABLED = 0, PA_BIA_ON_OFF: OFF = 0, *SPARE=0x340, SY_LFR_BW-=1,
SY_LFR_SP0=0, SY_LFR SP1=0, SY_LFR_R0=0, SY_LFR R1=0, SY_LFR_R2=0,
PA_LFR_ACQUISITION_TIME=0x8000000685a6, PA LFR_N_BP1 BLK NR_F2=12

Contexte de test

FSW 3.0.0.0

VHDL 0.1.68

Mini-Ifr 11

SocExplorer 0.6.0
StarDundee spacewire

09/04/2024 12




History

#1 - 06/05/2015 02:40 PM - Veronique bouzid

- Subject changed from R3 *** TM_LFR_SCIENCE_NORMAL_BP1_F0 :et TM_LFR_SCIENCE _NORMAL_BP1_F2: ctet 18 not egal to 0x0 to R3 ***
TM_LFR_SCIENCE NORMAL_BP1_FO0 :et TM_LFR_SCIENCE_NORMAL_BP1_F2: ctet 18 not equal to 0X0

- Description updated

#2 - 06/05/2015 02:40 PM - Veronique bouzid

- Subject changed from R3 *** TM_LFR_SCIENCE_NORMAL_BP1_FO0 :et TM_LFR_SCIENCE_NORMAL_BP1_F2: ctet 18 not equal to 0x0 to R3
**TM_LFR_SCIENCE_NORMAL _BP1_F0 :et TM_LFR_SCIENCE_NORMAL_BP1_F2: octet 18 not equal to 0x0

#3 - 18/05/2015 10:44 AM - paul leroy
- Status changed from New to Resolved

- Assignee changed from paul leroy to Veronique bouzid

corrected in version >= 3.0.0.1

#4 - 05/06/2015 04:08 PM - Veronique bouzid

- Status changed from Resolved to Closed

Le bug est corrigé.
Le script /home/validation/SCRIPT/R3/just_normal_mode.py a été rejoué dans le dernier environnement de test.

15:01:23.918783, TM_LFR_SCIENCE_NORMAL_BP1_F0, CCSDS_VERSION_NUMBER = 0, PACKET TYPE: TM_PACKET =0,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET CATEGORY:
PRIVATE_SCIENCE_OR_TELECOMMAND = 12, (PACKET ID=0xccc), SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3,
SEQUENCE_CNT=0, (PACKET_SEQUENCE_CONTROL=0xc000), PACKET LENGTH=143, SPARE_1=0, PUS_VERSION = 1, SPARE_2-0,
SERVICE_TYPE: SCIENCE_DATA_TRANSFER = 21, SERVICE_SUBTYPE: SCIENCE_REPORT_FIXED_LENGTH = 3, DESTINATION_ID:
GROUND = 0, TIME=0x80000002dc10, PA_LFR_SID_PKT: SC_N_BP1_FO = 14, PA_BIA_MODE_MUX_SET: SET 0 =0,
PA_BIA_MODE_HV_ENABLED: DISABLED = 0, PA_BIA_MODE_BIAS1_ENABLED: DISABLED = 0, PA_BIA_MODE_BIAS2_ENABLED:
DISABLED = 0, PA_BIA_MODE_BIAS3_ENABLED: DISABLED = 0, PA_BIA_ON_OFF: OFF = 0, SPARE=0x0, SY_LFR_BW=1, SY_LFR_SP0=0,
SY_LFR_SP1=0, SY_LFR R0=0, SY_LFR R1=0, SY_LFR_R2=0, PA_LFR_ACQUISITION_TIME=0x80000002dc10, SPARE=0x0,
PA_LFR_N_BP1 BLK_NR_FO0=11

et

15:01:23.998171, TM_LFR_SCIENCE_NORMAL_BP1_F2, CCSDS_VERSION_NUMBER = 0, PACKET_TYPE: TM_PACKET =0,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET_CATEGORY:
PRIVATE_SCIENCE_OR_TELECOMMAND = 12, (PACKET_ID=0xccc), SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3,
SEQUENCE_CNT=5, (PACKET_SEQUENCE_CONTROL=0xc005), PACKET_LENGTH=153, SPARE_1=0, PUS_VERSION = 1, SPARE_2=0,
SERVICE_TYPE: SCIENCE_DATA_TRANSFER = 21, SERVICE_SUBTYPE: SCIENCE_REPORT_FIXED_LENGTH = 3, DESTINATION_ID:
GROUND = 0, TIME=0x80000002dcfd, PA_LFR_SID_PKT: SC_N_BP1_F2 = 16, PA_BIA_MODE_MUX_SET: SET_0 =0,
PA_BIA_MODE_HV_ENABLED: DISABLED = 0, PA_BIA_MODE_BIAS1_ENABLED: DISABLED = 0, PA_BIA_MODE_BIAS2_ENABLED:
DISABLED = 0, PA_BIA_MODE_BIAS3 ENABLED: DISABLED = 0, PA_BIA_ON_OFF: OFF = 0, SPARE=0x0, SY_LFR_BW=1, SY_LFR_SP0=0,
SY_LFR_SP1=0, SY_LFR_R0=0, SY_LFR_R1=0, SY_LFR_R2=0, PA_LFR_ACQUISITION_TIME=0x80000002dcfd,
PA_LFR_N_BP1_BLK_NR_F2=12

les fichiers de log (2015_06_05-15_13_50-*) sont rangés dans le répertoire /home/validation/data/R3

Contexte de test

FSW 3.0.0.3

VHDL 1.1.83

EM1 sans timegen

SocExplorerEngine.getSocExplorer: Version = 0.6.2, Branch = default, Changeset = 819d0376d481
StarDundee spacewire

09/04/2024 22
